changeset 451:7f9032f43f41 prerelease

Do a coreclean in update_board
author Liam Donovan <l.b.donovan@qmul.ac.uk>
date Sun, 19 Jun 2016 22:43:06 +0100
parents d2dfa1718edb
children 0567af952cfa
files scripts/update_board
diffstat 1 files changed, 4 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/update_board	Sun Jun 19 22:28:34 2016 +0100
+++ b/scripts/update_board	Sun Jun 19 22:43:06 2016 +0100
@@ -154,6 +154,10 @@
 ssh $BBB_ADDRESS "sh $BBB_BELA_HOME/examples/core/link_core.sh"
 error_handler $? "\nError while building example projects\n"
 
+printf "Cleaning build environment..."
+ssh $BBB_ADDRESS "make -C $BBB_BELA_HOME --no-print-directory coreclean"
+error_handler $? "\nError cleaning core\n"
+
 #-------------
 #Installing IDE
 [ $ALWAYS_YES -eq 0 ] && ALWAYS_YES_FLAG= || ALWAYS_YES_FLAG="-y"